<?php

/**
 * @file
 * Contains the theme function override for breadcrumb
 */

/**
 * Returns HTML for breadcrumbs.
 *
 * @ingroup themeable
 */

 /**
 * Implements theme_breadcrumb().
 */
function wcm_omega_breadcrumb($vars) {
  $breadcrumb = $vars['breadcrumb'];

  if ($count = count($breadcrumb)) {
    $breadcrumb[$count - 1] = l(menu_get_active_title(), current_path(), array('attributes' => array('aria-current' => 'page')));
  }

  if (!empty($breadcrumb)) {
    // Provide a navigational heading to give context for breadcrumb links to
    // screen-reader users. Make the heading invisible with .element-invisible.
    $output = '<nav aria-labelledby="breadcrumb-label"><h2 id="breadcrumb-label" class="element-invisible">' . t('Breadcrumb navigation') . '</h2>';

    // Override Drupal core breadcrumb item imploding (no arrow).
    $output .= '<ul class="breadcrumb"><li>' . implode('</li><li>', $breadcrumb) . '</li></ul></nav>';
    return $output;
  }
}
