<?php

/**
 * @file
 * Contains the theme function override for 'status_messages'.
 */

/**
 * Returns HTML for status and/or error messages, grouped by type.
 *
 * @ingroup themeable
 */
function wcm_omega_status_messages($variables) {
  $display = $variables['display'];
  $output = '';

  $status_heading = array(
    'status' => t('Status message'),
    'error' => t('Error message'),
    'warning' => t('Warning message'),
  );
  foreach (drupal_get_messages($display) as $type => $messages) {
    $output .= '<div class="messages messages--' . $type . '">';

    if (!empty($status_heading[$type])) {
      $output .= '<h2 id="' . $type . '-message"';
      if ($type == 'error' && !empty($_SESSION['webform_error_title'])) {
        $output .= '>' . $_SESSION['webform_error_title'];
        unset($_SESSION['webform_error_title']);
      }
      else {
        $output .= ' class="element-invisible">' . $status_heading[$type];
      }

      $output .= '</h2>';
    }

    if (count($messages) > 1) {
      $output .= '<ul>';
      foreach ($messages as $message) {
        $output .= '  <li>' . $message . '</li>';
      }
      $output .= '</ul>';
    }
    else {
      $output .= $messages[0];
    }

    $output .= '</div>';
  }

  return $output;
}
